import React from 'react';
import SvgIcon from 'material-ui/SvgIcon';

const FeedbackIcon = (props) => (
  <SvgIcon {...props}>
    <svg x="0px" y="0px" viewBox="0 0 469.333 469.333">
      <g>
        <path d="M469.331,181.333c-0.003-3.298-1.521-6.409-4.133-8.427c-0.01-0.01-26.078-20.212-59.865-46.741V85.333
				c0-23.531-19.135-42.667-42.667-42.667h-62.125c-15.199-12.413-28.389-23.387-37.198-31.198
				C254.869,3.972,244.768,0.001,234.671,0C224.565-0.001,214.462,3.976,206,11.469c-8.809,7.811-21.997,18.785-37.207,31.198
				h-62.126C83.135,42.667,64,61.802,64,85.333v40.831c-33.794,26.527-59.854,46.732-59.865,46.742
				c-2.612,2.018-4.13,5.129-4.133,8.427H0v245.333c0,23.531,19.135,42.667,42.667,42.667h384c23.531,0,42.667-19.135,42.667-42.667
				V181.333H469.331z M405.333,153.275c14.919,11.681,27.582,21.553,35.927,28.048c-8.332,6.469-21.016,16.335-35.927,27.995
				V153.275z M220.146,27.437c9.146-8.104,19.885-8.115,29.052,0.01c4.801,4.246,10.855,9.406,17.81,15.219h-64.674
				C209.29,36.853,215.345,31.689,220.146,27.437z M85.333,85.333c0-11.76,9.573-21.333,21.333-21.333h256
				C374.427,64,384,73.573,384,85.333v140.703c-47.747,37.501-107.642,85.137-134.802,109.182
				c-2.573,2.281-7.938,6.115-14.865,6.115c-5.063,0-9.948-2.052-14.531-6.115c-27.326-24.195-86.921-71.676-134.469-109.086V85.333
				z M64,153.275v56.111c-14.921-11.686-27.605-21.573-35.938-28.052C36.401,174.837,49.07,164.964,64,153.275z M448,426.667
				c0,11.76-9.573,21.333-21.333,21.333h-384c-11.76,0-21.333-9.573-21.333-21.333V203.112
				c44.49,34.63,147.421,115.396,184.323,148.086c8.479,7.5,18.396,11.469,28.677,11.469c10.354,0,20.656-4.073,29.01-11.469
				C301.694,317.238,406.667,235.23,448,203.105V426.667z"/>
        <circle cx="202.667" cy="160" r="10.667"/>
        <circle cx="266.667" cy="160" r="10.667"/>
        <path d="M286.875,207.437c2.604-5.208,0.51-11.479-4.667-14.156c-5.167-2.719-11.573-0.646-14.344,4.479
				c-0.344,0.635-8.677,15.573-33.198,15.573c-24.333,0-32.729-14.719-33.188-15.563c-2.667-5.177-8.99-7.229-14.25-4.646
				c-5.271,2.635-7.406,9.042-4.771,14.313c0.552,1.115,14.052,27.229,52.208,27.229S286.323,208.552,286.875,207.437z"/>
      </g>
    </svg>
  </SvgIcon>
);

export default FeedbackIcon;
